Page MenuHomePhabricator

Extension:Translate's languages box should look like interwiki language links
Closed, ResolvedPublic

Description

The <languages /> box used by the Translate extension was ok for a first iteration but it needs a graduation as a proper list of languages available:

  1. It should be provided automatically, without relying on editors adding it manually to the content area.
  1. It should emulate a list of interwiki languages, with the same location and look & feel that users of Wikipedia et al are used to.

See Also:
T53533: Translation information under the page title is too obtrusive

Details

Reference
bz62702

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:54 AM
bzimport set Reference to bz62702.
bzimport added a subscriber: Unknown Object (MLST).
Qgil created this task.Mar 16 2014, 12:38 AM
Qgil updated the task description. (Show Details)Jul 28 2015, 10:55 AM
Qgil set Security to None.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJul 28 2015, 10:55 AM

fyi, I just posted a related comment at T53533#1494291.

Is there even a skin-neutral way to add interwiki-like links? Does the other projects sidebar work in any skin?

Isarra added a comment.Aug 1 2015, 6:38 PM

It would depend on how the sidebar portlet is actually added, on the
front or back end, etc...

A lot of skins do use the same, or similar, sidebar rendering for their
navigation as vector/monobook, but classes and ids can change, and
specific ones (like interlanguages) are often moved about... to do it
properly we would probably need a dedicated function to place it in so
the skins can decide it for themselves, with it as part of the default
sidebar, but also available for use in general.

Change 437062 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/Translate@master] Allow displaying page translation language list in the sidebar

https://gerrit.wikimedia.org/r/437062

When the page is translated into many languages, the language list takes way too much space:

Santhosh requested a screenshot:

Another one with ULS opened:

Minerva doesn't have this menu so the button will disappear from mobile. What should the language button link to as a fallback?
Will the proposed changes also provide a common interface for obtaining languages e.g. via SpecialPage->getLanguages?

Qgil removed a subscriber: Qgil.Jul 10 2018, 7:25 AM

Minerva doesn't have this menu

These language links are injected to the list of interlanguage links, so whatever Minerva does with them also applies to these language links. That should be confirmed by testing of course, I have not done that.

Change 437062 merged by jenkins-bot:
[mediawiki/extensions/Translate@master] Allow displaying page translation language list in the sidebar

https://gerrit.wikimedia.org/r/437062

@Nikerabbit I cannot expand interlanguage links on translatewii.net - got a javascript error:

TypeError: Cannot read property 'interlanguageList' of undefined

Is it an old bug?

Otherwise looks and works fine - I checked all available skins, e.g. the screenshot with Timeless skin:

Etonkovidova closed this task as Resolved.Sep 10 2018, 5:32 PM

Thx, @Nikerabbit and @Amire80! This ticket is Resolved.

Petar.petkovic removed a subscriber: gerritbot.

@QuimGil added the User-notice tag. Even though this change is merged and already seen on translatewiki.net, it is not going to be seen on Wikimedia sites until a deployment of a configuration change. No date for it is planned yet, but it may happen Some Time Soon. When it will deployed, then there should indeed be a user notice about it.

Sorry, I guess in my excitement I misinterpreted the meaning of MW-1.32-notes (WMF-deploy-2018-09-18 (1.32.0-wmf.22))

stjn added a subscriber: stjn.EditedSep 11 2018, 6:00 PM

Small design suggestion: maybe only ≈full translations should have icons alongside them? It seems strange to draw notice for incomplete translations, which is what these icons will do for most readers. (Other than that, it’s great, btw.)

There is question about new look: this is designed identically with interwiki language links pane.

But what about the pages that have both translations and interwiki? For example, https://meta.wikimedia.org/wiki/Meta:About (as comparision with https://translatewiki.net/wiki/Project:About)
How will they differ on the same page? Currently used these same message from header?

This is a closed task. I recommend to discuss WMF issues in the new task: T204076: Consider moving page translation language links to the sidebar

Johan added a subscriber: Johan.

(Adding T204076 instead.)